import { WebPlugin } from '@capacitor/core';
import type { JWPlayerCuePoint } from '.';
import type { JWPlayerPlugin } from './definitions';
export declare class JWPlayerWeb extends WebPlugin implements JWPlayerPlugin {
    private playerInstance;
    echo(options: {
        value: string;
    }): Promise<{
        value: string;
    }>;
    initialize(options: {
        webLicenseKey?: string;
        androidLicenseKey?: string;
        iosLicenseKey?: string;
        googleCastId?: string;
        debug?: boolean;
    }): Promise<any>;
    remove(): Promise<any>;
    create(options: {
        webConfiguration?: {
            container: string;
            properties?: any;
        };
    }): Promise<any>;
    private loadEvents;
    getPosition(): Promise<{
        value: number;
    }>;
    seek(options: {
        position: number;
    }): Promise<any>;
    addCuePoints(options: {
        cuePoints: JWPlayerCuePoint[];
    }): Promise<boolean>;
    addButton(img: string, tooltip: string, callback: () => void, id: string, btnClass: string): void;
    playlistItem(options: {
        index: number;
    }): Promise<any>;
}
